Sts Token
POST
/v1/sts/token
const url = 'https://example.com/v1/sts/token';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tenantId":"example","agentId":"example","delegationId":"example","taskId":"example","action":"example","resourceType":"example","resource":"example","audience":"example","agentProof":{},"requestedTtl":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/sts/token \ --header 'Content-Type: application/json' \ --data '{ "tenantId": "example", "agentId": "example", "delegationId": "example", "taskId": "example", "action": "example", "resourceType": "example", "resource": "example", "audience": "example", "agentProof": {}, "requestedTtl": 1 }'Exchange delegation evidence + agent proof for a short-lived, audience-bound agent access token (sub=agent, act=human). Fails closed; every outcome audited.
Request Body required
Section titled “Request Body required ” Media type application/json
STSTokenRequest
object
tenantId
required
Tenantid
string
agentId
required
Agentid
string
delegationId
required
Delegationid
string
audience
required
Audience
string
Example generated
{ "tenantId": "example", "agentId": "example", "delegationId": "example", "taskId": "example", "action": "example", "resourceType": "example", "resource": "example", "audience": "example", "agentProof": {}, "requestedTtl": 1}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}